{{- $position := .position -}}
{{- $title := .title -}}
{{- $layout_class := "block-gallery--grid" -}}
{{- with .data -}}
  {{- $layout := .layout -}}
  {{- if $layout -}}
    {{- $layout_class = printf "block-gallery--%s" .layout -}}
  {{- end -}}
  <section class="block-gallery {{ $layout_class }}" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        {{- with $title }}
        <h2 id="{{ . | urlize }}">{{ partial "osuny/PrepareHTML" . }}</h2>
        {{ end -}}

        {{- if eq .layout "carousel" -}}
          {{ partial "osuny/blocks/templates/gallery/layout-carousel" . }}
        {{- else -}}
          {{ partial "osuny/blocks/templates/gallery/layout-grid" . }}
        {{- end -}}

      </div>
    </div>
  </section>
{{- end -}}
